## org.apache.myfaces.webapp.filter
Class JavaScriptDetectorFilter

    java.lang.Object
      org.apache.myfaces.webapp.filter.JavaScriptDetectorFilter

All Implemented Interfaces:
  javax.servlet.Filter

public class JavaScriptDetectorFilter
extends java.lang.Object
implements javax.servlet.Filter

Filter to handle javascript detection redirect. This is an EXPERIMENTAL feature.

Author:
  Oliver Rossmueller (latest modification by $Author: grantsmith $)

Constructor Summary
`JavaScriptDetectorFilter()`

Method Summary
`void` `destroy()`
`void` `doFilter(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, javax.servlet.FilterChain filterChain)`
`void` `init(javax.servlet.FilterConfig filterConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaScriptDetectorFilter

    public JavaScriptDetectorFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### doFilter

    public void doFilter(javax.servlet.ServletRequest servletRequest,
                         javax.servlet.ServletResponse servletResponse,
                         javax.servlet.FilterChain filterChain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`